`svsum` <-
function (judgeit.object,year) {
  judgeit.object$svexpected.value.only <- F; #samebg<-T
  seats <- c(judgeit.object$seatvec,judgeit.object$extra.districts[,3])
  weights <- c(judgeit.object$weightvec,judgeit.object$extra.districts[,4])
  delvbar <- c(NA,0.5)
  #quantities desired in each district: bias and responsiveness for range, center

  intvl <- 45:55/100
  out <- rbind(rep(0,4))
  vsim <- hyp.elects(judgeit.object,year,delvbar)
  o1 <- o2 <- o3 <- o4 <- o5 <- NA

  qofi <- sapply(1:dim(vsim)[2],FUN=function(ii) {  #each simulation. 
    vts <- c(vsim[,ii],judgeit.object$extra.districts[,1])
    tt <- crossadd(vts,intvl-0.5)  #one hypothetical election, shifted 11 ways.
    sts <- apply(v2s(tt),2,weighted.mean,seats)
#    print(c(dim(tt),length(seats)))

    o5 <- weighted.mean(vts,weights)
          
    #midpoint bias
    o1 <- 2*sts[6]-1
          
    #spread bias
    o2 <- mean(sts[11:7]+sts[1:5]-1)
          
    #responsiveness
    o3 <- (sts[11]-sts[1])/(intvl[11]-intvl[1])

    mv <- weighted.mean(judgeit.object$mu,judgeit.object$weightvec)
    intvl2 <- mv+c(-0.02,-0.01,0.01,0.02)    
    
    tt <- crossadd(vts,intvl2-0.5)  #one hypothetical election, shifted 4 ways.
    sts <- apply(v2s(tt),2,weighted.mean,seats)

    #criss-cross estimator should reduce bias.
    o4 <- ((sts[3]-sts[1])/(intvl2[3]-intvl2[1])+(sts[4]-sts[2])/(intvl2[4]-intvl2[2]))/2
    
    return(c(o1,o2,o3,o4,o5))

  })

#  print(summary(qofi))
#  print(dim(qofi))
  vs <- apply(qofi,1,var)
  covie <- apply(qofi[1:4,],1,cov,qofi[5,])
  cond.vs <- vs[1:4]-covie^2/vs[5]
  out <- cbind(apply(qofi,1,mean)[1:4],sqrt(cond.vs))
 # print(dim(out))
  
  colnames(out) <- c("Mean","SD")
  rownames(out) <- c("Partisan Bias (0.5)","Partisan Bias (0.45-0.55)",
                    "Responsiveness (0.45-0.55)","Responsiveness (observed)")
  return(signif(out,4))
}

